<?php

/*
*	Copyright VeryIDE,2007-2010
*	http://www.veryide.com/
*
*	$Id: page.global.php,v3 19:47 2008-2-18 Lay $
*/
	
/*

	全局配置、函数及缓存载入

*/

///////////////////////////////////

//全局配置
require_once dirname(__FILE__)."/../config/config.php";

//载入配置
require_once VI_ROOT.'config/version.php';
require_once VI_ROOT."config/global.php";
require_once VI_ROOT."config/attach.php";
require_once VI_ROOT."config/mail.php";

//载入扩展
require_once VI_ROOT."config/licence.php";
require_once VI_ROOT."config/adsense.php";

//设置时区
if( PHP_VERSION > '5.1' ) {
	function_exists('date_default_timezone_set') && date_default_timezone_set('Etc/GMT'.($_G['setting']['global']['timezone'] > 0 ? '-' : '+').(abs($_G['setting']['global']['timezone'])));
}	

//载入函数
require_once VI_ROOT."function/compat.php";
require_once VI_ROOT."function/array.php";
require_once VI_ROOT."function/library.php";
require_once VI_ROOT."function/system.php";
require_once VI_ROOT."function/ubb.php";
require_once VI_ROOT."function/filter.php";
require_once VI_ROOT."function/upload.php";
require_once VI_ROOT."function/verify.php";

//载入类库
require_once VI_ROOT."class/system.php";
require_once VI_ROOT."class/module.php";
require_once VI_ROOT."class/cached.php";
require_once VI_ROOT."class/database.php";

//////////// 模块 /////////////

if( VI_DBMANPRE && VI_DBMODPRE ){

	//载入模块缓存
	$cache = VI_ROOT.'cache/system/files.module.php';
	
	//若不存在则主动创建缓存
	if( !file_exists($cache) ){
	
		//扫描模块
		Module :: search();
	
	}
	
	//载入缓存
	require($cache);

}

//////////// initialize /////////////

System :: init();

Module :: init();
		
?>